Get Call Notes for a Call
Retrieve the call notes that were added during a specific call.
Request URL
GET {base_url}/{api_path}/callnotes/get?access_token={access_token}
Request parameter
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the call note. Note: You can get the group ID from the (30028) Call Note Status Updated event report. |
| group_id | Yes | Integer | The group ID of the call note. Note: You can get the group ID from the (30028) Call Note Status Updated event report. |
Response parameter
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| history | Array <Previous_Callnote> | The information of previous call notes in the call. |
| current | Object <Current_Callnote> | The information of current call note of the call. |
Previous_Callnote
| Parameter | Type | Description |
|---|---|---|
| id | String | The unique ID of the call note. |
| group_id | String | The group ID of the call note. |
| disposition_code_list | Array<Disposition_Codes> | The disposition code(s) selected in the call note. |
| remark | String | The remark of the call note. |
| agent_name | String | The name of the extension user who adds the call note. |
| registration_time | Long | The time when the extension user adds the call note. |
| update_entry | String | The scenario in which the call note is modified.
|
Disposition_Codes
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the call disposition code. |
| name | String | The label of the call disposition code. |
| description | String | The description of the call disposition code |
Current_Callnote
| Parameter | Type | Description |
|---|---|---|
| id | String | The unique ID of the call note. |
| group_id | String | The group ID of the call note. |
| disposition_code_list | Array<Disposition_Codes> | The disposition code(s) selected in the call note. |
| remark | String | The remark of the call note. |
| agent_name | String | The name of the extension user who adds the call note. |
| registration_time | Long | The time when the extension user adds the call note. |
| update_entry | String | The scenario in which the call note is modified.
|
Disposition_Codes
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the call disposition code. |
| name | String | The label of the call disposition code. |
| description | String | The description of the call disposition code |
Example
Request example
Query the call notes added in a call.
GET /openapi/v1.0/callnotes/get?access_token=zbVqLE97rG5j37NZ8ewKRaEXKsbcn6Gz&group_id=1741226609.252&id=20250306100421-F1C65 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"history": [
{
"id": "20250306100329-59999",
"group_id": "1741226609.252",
"disposition_code_list": [
{
"id": 21,
"name": "Transferred to Another Department",
"description": "The call was transferred to the appropriate team or department."
}
],
"remark": "User encountered xx issue, needs resolution from the tech support department",
"agent_name": "Madison Cooper",
"registration_time": 1741226653,
"update_entry": ""
}
],
"current": {
"id": "20250306100421-F1C65",
"group_id": "1741226609.252",
"disposition_code_list": [
{
"id": 20,
"name": "Follow-up Required",
"description": "Further contact is needed at a specific time or condition."
},
{
"id": 25,
"name": "Tech Support Provided",
"description": "The customer received help resolving a technical issue."
}
],
"remark": "Customer's issue has been resolved.",
"agent_name": "Carmen Gordon",
"registration_time": 1741226703,
"update_entry": ""
}
}